@import 'assets/variables.scss';

.select {
  text-transform: none;
}

:global {
  .filter-select {
    // line-height: 1.4em;

    .filter-select__group-heading {
      text-transform: capitalize;
      font-weight: bold;
      font-size: 1.1em;
    }

    .filter-select__group {
      .filter-select__option {
        padding-left: $cell * 4;
      }
    }

    .filter-select__option {
      padding-top: 10px;
      padding-bottom: 10px;

      &.filter-select__option--is-focused,
      &:hover {
        background-color: $super-soft-grey;
      }

      &.filter-select__option--is-selected {
        background-color: $somewhat-grey;
        font-weight: normal;
      }

      &.filter-select__option--is-disabled {
        color: $super-soft-grey;
      }
    }

    .filter-select__control {
      background-color: transparent;
      // border: none;

      &.filter-select__control--is-focused {
        box-shadow: none;
        border-color: $somewhat-grey;
      }
    }
  }

  // .ui {
  //   &.dimmer {
  //     line-height: inherit !important;
  //   }
  // }
}